#include <iostream>
#include <vector>
#include <string>
#include <map>

#define sync ios::sync_with_stdio(false);cin.tie(0);cout.tie(0)
#define all(a) (a).begin(), (a).end()
#define ll long long

using namespace std;

const int mod = 1e9 + 7;

int main() {
	sync;
	int n;
	cin >> n;
	vector<pair<ll, ll>> a(n);
	ll maxX = 0, maxY = 0, minX = 1e9, minY = 1e9;
	for (int i = 0; i < n; i++) {
		cin >> a[i].first >> a[i].second;
		maxX = max(maxX, a[i].first);
		maxY = max(maxY, a[i].second);

		minX = min(minX, a[i].first);
		minY = min(minY, a[i].second);

		ll ans1 = 0, ans2 = 0, ans3 = 0, ans4 = 0;
		for (int j = 0; j <= i; j++) {
			ans1 += (abs(maxX - a[j].first) * abs(maxY - a[j].second) % mod);
			ans1 %= mod;
			ans2 += (abs(minX - a[j].first) * abs(minY - a[j].second) % mod);
			ans2 %= mod;
			ans3 += (abs(maxX - a[j].first) * abs(minY - a[j].second) % mod);
			ans3 %= mod;
			ans4 += (abs(minX - a[j].first) * abs(maxY - a[j].second) % mod);
			ans4 %= mod;
		}
		cout << max(max(ans1,ans4), max(ans2, ans3)) % mod << '\n';
	}
}